summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexys Jacob <ultrabug@gentoo.org>2014-12-02 14:55:49 +0000
committerAlexys Jacob <ultrabug@gentoo.org>2014-12-02 14:55:49 +0000
commite2d2d8ca81b906128f55cdd6666a969a2aaf2604 (patch)
treeb2bed08082fd2e8f618d6bbb4d51e061bcd3e6ee /sys-cluster/corosync
parentfix #454056 (diff)
downloadgentoo-2-e2d2d8ca81b906128f55cdd6666a969a2aaf2604.tar.gz
gentoo-2-e2d2d8ca81b906128f55cdd6666a969a2aaf2604.tar.bz2
gentoo-2-e2d2d8ca81b906128f55cdd6666a969a2aaf2604.zip
fix #488736
(Portage version: 2.2.14/cvs/Linux x86_64, signed Manifest commit with key B658FA13)
Diffstat (limited to 'sys-cluster/corosync')
-rw-r--r--sys-cluster/corosync/ChangeLog5
-rw-r--r--sys-cluster/corosync/files/corosync.initd11
2 files changed, 13 insertions, 3 deletions
diff --git a/sys-cluster/corosync/ChangeLog b/sys-cluster/corosync/ChangeLog
index d71fb12ac123..789987636376 100644
--- a/sys-cluster/corosync/ChangeLog
+++ b/sys-cluster/corosync/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for sys-cluster/corosync
# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/ChangeLog,v 1.32 2014/12/02 14:30:00 ultrabug Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/ChangeLog,v 1.33 2014/12/02 14:55:49 ultrabug Exp $
+
+ 02 Dec 2014; Ultrabug <ultrabug@gentoo.org> files/corosync.initd:
+ add config detection to init script fix #488736
*corosync-2.3.4 (02 Dec 2014)
diff --git a/sys-cluster/corosync/files/corosync.initd b/sys-cluster/corosync/files/corosync.initd
index 6c134bd9377a..42507bebca77 100644
--- a/sys-cluster/corosync/files/corosync.initd
+++ b/sys-cluster/corosync/files/corosync.initd
@@ -1,7 +1,7 @@
#!/sbin/runscript
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/files/corosync.initd,v 1.2 2010/11/17 07:07:03 xarthisius Exp $
+# $Header: /var/cvsroot/gentoo-x86/sys-cluster/corosync/files/corosync.initd,v 1.3 2014/12/02 14:55:49 ultrabug Exp $
depend() {
need net
@@ -9,6 +9,7 @@ depend() {
}
start() {
+ configtest || return 1
ebegin "Starting Corosync Cluster Engine"
start-stop-daemon --start -q --exec /usr/sbin/corosync \
--pidfile /var/run/corosync.pid --make-pidfile --background \
@@ -21,3 +22,9 @@ stop() {
start-stop-daemon --stop -q --pidfile /var/run/corosync.pid
eend $?
}
+
+configtest() {
+ ebegin "Checking corosync configuration"
+ test -f /etc/corosync/corosync.confs
+ eend $? "failed, please create the corosync configuration file"
+}